#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1-2)
#-----------------------------------------------------------------------------
Name		:	mate-notification-daemon
Version		:	1.27.1
Release		:	14.8.0.0%{?dist}
Summary		:	MATE session manager
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	libwnck
BuildRequires	:	libnotify
BuildRequires	:	libcanberra

Requires(post)	:	/usr/bin/update-desktop-database
Requires(post)	:	/usr/bin/glib-compile-schemas
Requires(post)	:	/usr/bin/gtk-update-icon-cache
#-----------------------------------------------------------------------------
%description
mate-session-manager contains the MATE session manager, as well as a
configuration program to choose applications starting on login.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/mate-notification-properties
%{_libdir}/%{name}/engines/*.so
%{_libexecdir}/%{name}
%{_libexecdir}/mate-notification-applet
%{_datadir}/applications/mate-notification-properties.desktop
%{_datadir}/mate-panel/applets/org.mate.applets.MateNotificationApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.freedesktop.mate.Notifications.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateNotificationAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.NotificationDaemon.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/mate-notification-properties.png
%{_datadir}/icons/hicolor/scalable/apps/mate-notification-properties.svg
%{_mandir}/man1/mate-notification-properties.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %name
#-----------------------------------------------------------------------------
%changelog
